Loading...
Searching...
No Matches
tiny_element

## Detailed Description

Definition at line 35 of file tiny_element.h.

Inheritance diagram for tiny_element:

## Public Member Functions

| tiny_element (variant_type t=max_variant)
| tiny_element (const class geo_element &)
void | set_variant (variant_type t)
void | set_name (char name)
void | set_index (size_t idx)
void | set_variant (size_type n_vertex, size_type dim)
const size_type & | operator[] (size_type i) const
size_t | index () const
size_type & | operator[] (size_type i)
Public Member Functions inherited from reference_element
| reference_element (variant_type x=max_variant)
void | set_variant (variant_type x)
void | set_variant (size_type n_vertex, size_type dim)
void | set_name (char name)
variant_type | variant () const
char | name () const
size_type | dimension () const
size_type | size () const
size_type | n_vertex () const
size_type | n_side () const
size_type | n_edge () const
size_type | n_face () const
size_type | n_subgeo_by_variant (size_type subgeo_variant) const
size_type | n_subgeo (size_type subgeo_dim) const
reference_element | subgeo (size_type subgeo_dim, size_type loc_isid) const
reference_element | side (size_type loc_isid) const
size_type | subgeo_size (size_type subgeo_dim, size_type loc_isid) const
size_type | subgeo_local_vertex (size_type subgeo_dim, size_type loc_isid, size_type loc_jsidvert) const
size_type | local_subgeo_index2index_by_variant (size_type subgeo_variant, size_type i) const
const point_basic< Float > & | vertex (size_type iloc) const
Float | side_measure (size_type loc_isid) const
void | side_normal (size_type loc_isid, point_basic< Float > &hat_n) const

## Protected Attributes

size_type | t_ [8]
size_t | _idx
Protected Attributes inherited from reference_element
variant_type | _x

## Additional Inherited Members

Public Types inherited from reference_element
typedef std::vector< int >::size_type | size_type
typedef size_type | variant_type
Static Public Member Functions inherited from reference_element
static variant_type | variant (char name)
static variant_type | variant (size_type n_vertex, size_type dim)
static char | name (variant_type variant)
static size_type | dimension (variant_type variant)
static size_type | n_vertex (variant_type variant)
static size_type | n_node (variant_type variant, size_type order)
static size_type | n_sub_edge (variant_type variant)
static size_type | n_sub_face (variant_type variant)
static size_type | n_subgeo (variant_type variant, size_type subgeo_dim)
static size_type | subgeo_n_node (variant_type variant, size_type order, size_type subgeo_dim, size_type loc_isid)
static size_type | subgeo_local_node (variant_type variant, size_type order, size_type subgeo_dim, size_type loc_isid, size_type loc_jsidnod)
static variant_type | first_variant_by_dimension (size_type dim)
static variant_type | last_variant_by_dimension (size_type dim)
static size_type | first_inod_by_variant (variant_type variant, size_type order, variant_type subgeo_variant)
static size_type | last_inod_by_variant (variant_type variant, size_type order, variant_type subgeo_variant)
static size_type | first_inod (variant_type variant, size_type order, size_type subgeo_dim)
static size_type | last_inod (variant_type variant, size_type order, size_type subgeo_dim)
static void | init_local_nnode_by_variant (size_type order, std::array< size_type, reference_element::max_variant > &loc_nnod_by_variant)
static size_type | n_subgeo_by_variant (size_type variant, size_type subgeo_variant)
Static Public Attributes inherited from reference_element
static const variant_type | p = 0
static const variant_type | e = 1
static const variant_type | t = 2
static const variant_type | q = 3
static const variant_type | T = 4
static const variant_type | P = 5
static const variant_type | H = 6
static const variant_type | max_variant = 7
static const size_type | max_side_by_variant = 6
Static Protected Attributes inherited from reference_element
static const char | _name [max_variant]
static const size_type | _dimension [max_variant]
static const size_type | _n_subgeo_by_variant [max_variant][max_variant]
static const size_type | _n_vertex [max_variant]
static const variant_type | _first_variant_by_dimension [5]

## Constructor & Destructor Documentation

## tiny_element() [1/2]

tiny_element | ( | variant_type | t = `max_variant` | ) |

Definition at line 52 of file tiny_element.h.

## tiny_element() [2/2]

tiny_element | ( | const class geo_element & |  | ) |

explicit

## Member Function Documentation

## set_variant() [1/2]

void set_variant | ( | variant_type | t | ) |

Definition at line 61 of file tiny_element.h.

## set_name()

void set_name | ( | char | name | ) |

Definition at line 67 of file tiny_element.h.

## set_index()

void set_index | ( | size_t | idx | ) |

Definition at line 41 of file tiny_element.h.

## set_variant() [2/2]

void set_variant | ( | size_type | n_vertex,
|  | size_type | dim
| ) |  |

Definition at line 73 of file tiny_element.h.

## operator[]() [1/2]

const size_type & operator[] | ( | size_type | i | ) | const

Definition at line 43 of file tiny_element.h.

## index()

size_t index | ( |  | ) | const

Definition at line 44 of file tiny_element.h.

## operator[]() [2/2]

size_type & operator[] | ( | size_type | i | ) |

Definition at line 45 of file tiny_element.h.

## Member Data Documentation

## t_

size_type t_[8]

protected

Definition at line 48 of file tiny_element.h.

## _idx

size_t _idx

protected

Definition at line 49 of file tiny_element.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/tiny_element.h